Pocketmine Generator for Earth and heightmap based generation.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
Ad5001 5b734b2bb5
Update README.md
1 年之前
resources Renaming the plugin, adding more heightmaps, fixing the plugin. 1 年之前
src/Ad5001/GenPainterPE A stupid mistake... 1 年之前
.poggit.yml Create .poggit.yml 1 年之前
LICENSE.md Adding LICENSE and HEADERS 1 年之前
README.md Update README.md 1 年之前
icon.png Adding icon 1 年之前
plugin.yml Renaming the plugin, adding more heightmaps, fixing the plugin. 1 年之前

README.md

GenPainterPE -

Pocketmine Generator for Earth and heightmap based generation.

What is GenPainterPE?

GenPainterPE is a PocketMine plugin which allows you to generate minecraft maps just with an heightmap.

How to use GenPainterPE?

First, look at the installation part.
Creating a world would take the default config.yml settings, and then apply them to map creation (note: changing theses settings afterwards won’t change them for the map. You should regenerate one another to change settings).
To create a world, you can go to your pocketmine.yml, and at the end of the file, add a new world with the generator “genpainter”.

Customizing GenPainterPE

You can customize GenPainterPE’s generation by modifing some values in the config.yml.

You can also add your own heightmap. What is an heightmap?
How to do that?

  1. Get your heightmap in a png form (.png)
  2. Put it into the GenPainterPE/heightmaps folder
  3. Change the “heightmap_name” in the config.yml to the name of your heightmap (WITHOUT THE .png AT THE END)
  4. Create a new world with the genpainter generator

(note: you can modify your config afterwards and remove the .png as the world heightmap and data has been saved to your generated map)

Installation

Note: This section is only for *nix users (Linux, MacOS, Unix, FreeBSD). PMMP’s windows’ prebuilt binaries includes GD by default.
To support all the features including your own heightmap creation, you may need to install the PHP GD extension.
Don’t have it and don’t know how to install it?

  • For PocketMine Server Manager users, check if the plugin is working, if not, just delete the folder located in <YOUR_OWN_FOLDER>/.pocketmine/php and restart PocketMine Server Manager.
  • For regular pocketmine user, you can get the following script to install a PHP with GD included .

You may also need to install https://sourceforge.net/projects/libpng/.